[gtk/macos-ci] ci: Add a macos build
- From: Matthias Clasen <matthiasc src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk/macos-ci] ci: Add a macos build
- Date: Sun, 3 Jan 2021 03:45:07 +0000 (UTC)
commit 55754c1ee4b733598f53753c7d6f2c7d1d2d5c75
Author: Matthias Clasen <mclasen redhat com>
Date: Sat Jan 2 22:34:52 2021 -0500
ci: Add a macos build
Most of this is cribbed from glib.
.gitlab-ci.yml | 16 ++++++++++++++++
.gitlab-ci/show-execution-environment.sh | 11 +++++++++++
2 files changed, 27 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 18565b2913..6640e066d7 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -144,6 +144,22 @@ msys2-mingw64:
MSYSTEM: "MINGW64"
CHERE_INVOKING: "yes"
+macos:
+ stage: build
+ tags:
+ - macos
+ needs: []
+ before_script:
+ - bash .gitlab-ci/show-execution-environment.sh
+ - pip3 install --user meson
+ - pip3 install --user ninja
+ - export PATH=/Users/gitlabrunner/Library/Python/3.7/bin:$PATH
+ script:
+ - meson subprojects update
+ - meson ${COMMON_MESON_FLAGS} ${EXTRA_MESON_FLAGS} ${BACKEND_FLAGS} ${FEATURE_FLAGS}
+ _build
+ - ninja -C _build
+
.flatpak-defaults:
image: $FLATPAK_IMAGE
stage: flatpak
diff --git a/.gitlab-ci/show-execution-environment.sh b/.gitlab-ci/show-execution-environment.sh
new file mode 100755
index 0000000000..0c22651616
--- /dev/null
+++ b/.gitlab-ci/show-execution-environment.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -eux -o pipefail
+
+id || :
+capsh --print || :
+env -0 | sort -z | perl -pe 's/\0/\n/g' || :
+setpriv --dump || :
+ulimit -a || :
+cat /proc/self/status || :
+cat /proc/self/mountinfo || :
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]